org.apache.cassandra.transport

## Class ServerConnection

- java.lang.Object
- - org.apache.cassandra.transport.Connection
  - - org.apache.cassandra.transport.ServerConnection

-     public class ServerConnection
      extends Connection

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Connection

      `Connection.Factory, Connection.Tracker`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Connection.Factory` | `FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerConnection(Connection.Tracker tracker)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyStateTransition(Message.Type requestType, Message.Type responseType)`
    `QueryState` | `getQueryState(int streamId)`
    `void` | `validateNewMessage(Message.Type type)`

    - ### Methods inherited from class org.apache.cassandra.transport.Connection

      `channel, getCompressor, getTracker, registerChannel, setCompressor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FACTORY

          public static final Connection.Factory FACTORY

  - ### Constructor Detail

    - #### ServerConnection

          public ServerConnection(Connection.Tracker tracker)

  - ### Method Detail

    - #### getQueryState

          public QueryState getQueryState(int streamId)

    - #### validateNewMessage

          public void validateNewMessage(Message.Type type)

    - #### applyStateTransition

          public void applyStateTransition(Message.Type requestType,
                                  Message.Type responseType)

Copyright © 2014 The Apache Software Foundation